# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'qcloudhive/version'

Gem::Specification.new do |spec|
  spec.name          = "qcloudhive"
  spec.version       = QCloudHive::VERSION
  spec.authors       = ["stonedong"]
  spec.email         = ["stonedong@tencent.com"]

  spec.summary       = %q{腾讯云终端团队模块化开发工具}
  spec.description   = %q{腾讯云终端团队模块化开发工具，致力于模块化协同开发和发布SDK类产品}
  spec.homepage      = "http://git.code.oa.com/qcloud-terminal"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.


  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = ["Hive"]
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.14"
  spec.add_development_dependency "rspec", '~> 0'
  spec.add_development_dependency "rake", "~> 10.0"

  spec.add_runtime_dependency "rake", "~> 10.0"
  spec.add_runtime_dependency "nokogiri", '~> 0'
  spec.add_runtime_dependency "git", '~> 0'
  spec.add_runtime_dependency "gitlab", '~> 0'
  spec.add_runtime_dependency "parseconfig", '~> 0'
  spec.add_runtime_dependency "cocoapods", '~> 0'
  spec.add_runtime_dependency 'colorize', '~> 0'
  spec.add_runtime_dependency 'terminal-table', '~> 0'
  spec.add_runtime_dependency 'json', '~> 2.0', '>= 2.0.2'
  spec.add_runtime_dependency 'httparty', "~> 0.14.0"
  spec.add_runtime_dependency 'versionomy', '~> 0'
end
